Hey! These docs are for version 2.0, which is no longer officially supported. Click here for the latest version, 2.7!
./pants repl [args]

Open a REPL with the specified code loadable.

Config section: [repl]

Basic options

--repl-shell=<str>
PANTS_REPL_SHELL
shell
default: None
Override the automatically-detected REPL program for the target(s) specified.

Advanced options

None

Deprecated options

None

Related subsystems

download-pex-bin, grpc_python_plugin, ipython, pex, protoc, python-infer, python-native-code, python-protobuf, python-repos, python-setup, repl, source, subprocess-environment


Did this page help you?